Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### {} (curly braces)
Examples |
    int[] a = { 5, 20, 25, 45, 70 };

    void setup() {
      size(100, 100);
    }

    void draw() {
      for(int i=0; i < a.length; i++) {
        line(0, a[i], 50, a[i]);
      }
    }
Description | Define the beginning and end of functions blocks and statement blocks such as the for() and if() structures. Curly braces are also used for defining inital values in array declarations.
Syntax |
    { statements }
    { ele0, ..., eleN }
Parameters |
statements | any sequence of valid statements
ele0 ... eleN | list of elements separated by commas
Usage | Web & Application
Related | () (parentheses)

Updated on August 30, 2010 04:29:39pm EDT